dsdpcg.c File Reference

Apply Conjugate Gradient method to solve the Schur matrix. More...

Go to the source code of this file.

## Functions

int | DSDPCGSolve (DSDP dsdp, DSDPSchurMat MM, DSDPVec RHS, DSDPVec X, double cgtol, DSDPTruth *success)
| Apply CG to solve for the step directions.

## Detailed Description

Apply Conjugate Gradient method to solve the Schur matrix.

Definition in file dsdpcg.c.

## Function Documentation

## DSDPCGSolve()

int DSDPCGSolve | ( | DSDP | dsdp,
|  | DSDPSchurMat | MM,
|  | DSDPVec | RHS,
|  | DSDPVec | X,
|  | double | cgtol,
|  | DSDPTruth * | success
| ) |  |

Apply CG to solve for the step directions.

Parameters

  dsdp | the solver
  MM | matrix
  RHS | right-hand side
  X | solution
  cgtol | accuracy
  success | output whether a solution of suitable accuracy was found

Definition at line 239 of file dsdpcg.c.

Referenced by DSDPComputeDualStepDirections(), and DSDPSolveDynamicRho().